/* page layout.css for >FIXME< */

/* page layout */

@media all {
    .content {
        padding-bottom: 0.5rem;
    }
    .wrap-inner {
        padding-left: 0.625rem;
        padding-right: 0.625rem;
    }
    /* sticky header */
    .page-header-sticky {
        padding-top: 5rem;
    }
    .page-header-sticky .page-header {
        position: fixed;
        z-index: 10;
        top: 0;
        left: 0;
        right: 0;
        background-color: rgb(255, 255, 255);
        box-shadow: 0 0 1.25rem rgba(0, 0, 0, 0.25);
        transition: transform ease-in-out 0.25s;
    }
    .page-header-hidden {
        transform: translateY(-100%);
    }
    .page-logo {
        width: 16rem;
    }
    .logo-link {
        display: block;
    }
    .logo-img {
        width: 100%;
        height: auto;
        display: block;
    }
    .page-header-main-inner {
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: 5rem;
    }
    .nav-toggle {
        flex-grow: 0;
        flex-shrink: 0;
        margin-right: -0.625rem;
    }
    /* stage */
    .page-stage .ce-grid-slider,
    .page-stage .ce-element {
        margin: 0;
    }
    .page-stage .ce-gallery {
        padding: 0 !important;
    }
    .page-stage .ce-row {
        margin: 0;
    }
    .page-stage .ce-column {
        margin: 0;
        padding: 0;
    }
    /* stage may have a heading */
    .page-stage .ce-slider {
        background: rgb(0, 113, 187);
    }
    .page-stage .slick-dots {
        position: relative;
        text-align: center;
        margin: 0 0 0.625rem;
        color: rgb(255, 255, 255);
    }
    .page-stage .ce-frame-headerimage {
        margin: 0 -30vw;
    }
    .page-stage .ce-frame-headerimage .ce-header {
        position: absolute;
        bottom: 0.625rem;
        left: 50vw;
        margin: 0;
        margin-left: calc(-50vw + 0.625rem);
        color: rgb(255, 255, 255);
        text-shadow: 0 0 6px rgba(0, 0, 0, 0.5);
    }
    /* shadows */
    .page-stage {
        position: relative;
        z-index: 0;
        overflow: hidden;
    }
    .page-stage-inner::before,
    .page-stage-inner::after {
        content: "";
        display: block;
        position: absolute;
        z-index: 1;
        top: 100%;
        right: 0;
        left: 0;
        height: 2em;
        box-shadow: 0 0 2em rgba(0, 0, 0, 0.25);
        pointer-events: none;
    }
    .page-stage-inner::before {
        top: auto;
        bottom: 100%;
    }
    /* content */
    .page-content {
        padding-top: 1.25rem;
    }
    .page-content {
        position: relative;
        border-bottom: 1px solid rgb(0, 113, 187);
    }
    .page-content::after {
        content: "";
        position: absolute;
        top: 100%;
        right: 0;
        width: 2.5rem;
        border-bottom: 1px solid rgb(239, 62, 35);
    }
    /* footer */
    .page-footer {
        position: relative;
        overflow: hidden;
        background-color: rgb(237, 237, 237);
    }
    .page-footer-bg {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        width: 200vw;
        padding: 5vh 0 0 10vw;
        background: url(../Icons/poetter-signet-monochrome.svg) transparent
            no-repeat;
        background-position: top left;
        background-origin: content-box;
        background-size: cover;
    }
    .page-footer-top {
        position: relative;
        padding-top: 1.25rem;
    }
    .page-footer a {
        color: currentColor;
    }
    .page-footer .btn-secondary {
        background-color: rgba(255, 255, 255, 0.5);
    }
    .page-footer-bottom {
        position: relative;
        color: rgb(255, 255, 255);
        background-color: rgb(0, 113, 187);
    }
    .page-footer-bottom .menu .item:hover {
        color: rgb(255, 255, 255);
        text-decoration: underline;
    }
    .ce-frame-desktoponly {
        display: none;
    }
}

@media all and (min-width: 30em) {
    .wrap-inner {
        padding-left: 1.25rem;
        padding-right: 1.25rem;
    }
    .page-stage .ce-frame-headerimage {
        margin: 0 -15vw;
    }
    .page-stage .ce-frame-headerimage .ce-header {
        margin-left: calc(-50vw + 1.25rem);
    }
}

/* tablet + print */

@media all and (min-width: 47.5em), print {
    /* page layout */
    .page-stage .ce-frame-headerimage {
        margin: 0;
    }
    .page-stage .ce-frame-headerimage .ce-header {
        position: absolute;
        bottom: 1.25rem;
        left: 50%;
        margin: 0;
        margin-left: calc(-50% + 1.25rem);
    }
    .page-footer-top {
        padding-top: 2.5rem;
    }
    .page-footer-bg {
        left: 50%;
        width: 100%;
        padding: 1.25rem 2.5rem;
    }
}

/* desktop */

@media all and (min-width: 62.5em) {
    .ce-frame-desktoponly {
        display: block;
    }
    .ce-frame-mobileonly {
        display: none;
    }
    .wrap-inner {
        padding-left: 2.5rem;
        padding-right: 2.5rem;
    }
    .page-grid-large {
        margin-left: -2.5rem;
        margin-right: -2.5rem;
    }
    .page-grid-large .page-col {
        float: left;
        padding-left: 2.5rem;
        padding-right: 2.5rem;
        max-width: 100%;
        min-height: 1px;
    }
    .page-grid-large-66-33 .page-col {
        width: 66.6666%;
    }
    .page-grid-large-66-33 .page-col:last-child {
        width: 33.3333%;
    }
    .page-header-sticky .page-header {
        box-shadow: none;
    }
    .page-header-sticky.page-scrolled .page-header {
        box-shadow: 0 0 1.25rem rgba(0, 0, 0, 0.25);
    }
    .page-header-topbar {
        padding: 0;
        background: linear-gradient(
            0deg,
            rgba(237, 237, 237, 1) 0%,
            rgba(250, 250, 250) 8%,
            rgba(255, 255, 255, 1) 24%,
            rgba(255, 255, 255, 1) 100%
        );
    }
    .page-header-topbar-inner {
        display: flex;
        align-items: center;
        justify-content: flex-end;
        height: 2.5rem;
    }
    .page-desktop-searchlangnav {
        display: flex;
    }
    .page-header-searchbox .search-label {
        clip: rect(1px, 1px, 1px, 1px) !important;
        -webkit-clip-path: inset(50%) !important;
        clip-path: inset(50%) !important;
        height: 1px !important;
        overflow: hidden !important;
        position: absolute !important;
        width: 1px !important;
        white-space: nowrap !important;
    }
    .page-header .searchbox {
        display: flex;
        align-items: center;
        width: 16rem;
    }
    .page-header .searchbox-inner {
        border: 1px solid rgb(237, 237, 237);
        border-width: 0 1px 0 1px;
        margin: 0 0.625rem;
        padding: 0 1.25rem;
        background: none;
    }
    .page-header .search-word {
        padding: 0 !important;
    }
    .page-header .search-button {
        right: 0.625rem;
    }
    .page-header-main {
        background-color: rgb(255, 255, 255);
    }
    .page-header-main-inner {
        height: auto;
    }
    .page-header-navigation {
        position: relative;
    }
    .page-header-navigation::before {
        content: "";
        display: block;
        position: absolute;
        left: 9rem;
        right: 9rem;
        bottom: 0;
        height: 2.5rem;
        background: linear-gradient(
            0deg,
            rgba(0, 0, 0, 0.1) 0%,
            rgba(0, 0, 0, 0) 100%
        );
    }
    .page-logo {
        width: 18rem;
    }
    .page-header-main {
        height: auto;
    }
    .page-header-searchbox {
        float: right;
        margin: 0;
        width: 15rem;
        padding-right: 2.5rem;
        transition: width ease 0.25s;
    }
    .page-header-searchbox:focus-within {
        width: 24rem;
    }
    .page-header-searchbox .searchbox {
        min-height: 36px;
        /* no searchbox on searchpage, but keep the height */
    }
    .page-header-searchbox .searchbox-inner {
        border: 1px solid rgb(204, 204, 204);
        border-radius: 3px;
    }
    .page-header-searchbox .search-button {
        background: rgb(204, 204, 204);
    }
    .page-header-searchbox .searchbox .search-word {
        padding: 0.3125rem;
        background: rgba(0, 0, 0, 0.05);
    }
    .page-header-navigation {
        position: relative;
        margin-top: 1.25rem;
        margin-left: 1.875rem;
    }
    .page-stage .ce-frame-headerimage .ce-header {
        margin-left: calc(-50% + 2.5rem);
    }
    .page-breadcrumb {
        padding: 0.625rem 0;
        background-color: #ededed;
        font-size: 0.875rem;
    }
    .page-content {
        padding-top: 2.5rem;
        padding-bottom: 0.625rem;
    }
    .page-content::after {
        width: 3.5rem;
    }
    .page-footer-bg {
        left: 70%;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
        height: 45vw;
        width: auto;
        padding: 0;
    }
    /* sticky header */
    .page-header-sticky {
        padding-top: 8.75rem;
    }
}

/* desktop - xlarge */

@media (min-width: 92.5em) {
    body {
        max-width: 120rem;
        margin: 0 auto;
        overflow-x: hidden;
    }
    /* Full HD */
    .wrap-outer {
        margin: 0 auto;
        max-width: 92.5rem;
    }
    .page-header-topbar {
        padding: 0.5625rem 0;
    }
    .page-logo {
        width: 23.75rem;
    }
    .page-header-navigation {
        margin-top: 2.5rem;
    }
    /* sticky header */
    .page-header-sticky {
        padding-top: 11.125rem;
    }
    /* FIXME */
    .page-stage .ce-frame-headerimage .ce-header {
        margin-left: calc(-32.5rem - 2.5rem);
    }
    .page-content {
        padding-top: 5rem;
        padding-bottom: 0rem;
    }
    .page-content::after {
        left: calc(50% + 42.5rem);
        right: auto;
        width: 17.5rem;
    }
    .page-content::before {
        content: "";
        position: absolute;
        top: 100%;
        right: calc(50% + 42.5rem);
        left: auto;
        width: 17.5rem;
        border-bottom: 1px solid rgb(0, 113, 187);
    }
    .page-footer-bottom {
        padding: 0.625rem 0;
    }
}
